gi-graphene-1.0.8: Graphene bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Graphene.Enums

Contents

- Enumerations
  - EulerOrder
  - RayIntersectionKind

Description

Synopsis

- data EulerOrder
  - = EulerOrderDefault
  - | EulerOrderXyz
  - | EulerOrderYzx
  - | EulerOrderZxy
  - | EulerOrderXzy
  - | EulerOrderYxz
  - | EulerOrderZyx
  - | EulerOrderSxyz
  - | EulerOrderSxyx
  - | EulerOrderSxzy
  - | EulerOrderSxzx
  - | EulerOrderSyzx
  - | EulerOrderSyzy
  - | EulerOrderSyxz
  - | EulerOrderSyxy
  - | EulerOrderSzxy
  - | EulerOrderSzxz
  - | EulerOrderSzyx
  - | EulerOrderSzyz
  - | EulerOrderRzyx
  - | EulerOrderRxyx
  - | EulerOrderRyzx
  - | EulerOrderRxzx
  - | EulerOrderRxzy
  - | EulerOrderRyzy
  - | EulerOrderRzxy
  - | EulerOrderRyxy
  - | EulerOrderRyxz
  - | EulerOrderRzxz
  - | EulerOrderRxyz
  - | EulerOrderRzyz
  - | AnotherEulerOrder Int
- data RayIntersectionKind
  - = RayIntersectionKindNone
  - | RayIntersectionKindEnter
  - | RayIntersectionKindLeave
  - | AnotherRayIntersectionKind Int

# Enumerations

## EulerOrder

data EulerOrder Source #

Specify the order of the rotations on each axis.

The `EulerOrderDefault` value is special, and is used as an alias for one of the other orders.

Since: 1.2

Constructors

EulerOrderDefault | Rotate in the default order; the default order is one of the following enumeration values
EulerOrderXyz | Rotate in the X, Y, and Z order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSxyz`
EulerOrderYzx | Rotate in the Y, Z, and X order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSyzx`
EulerOrderZxy | Rotate in the Z, X, and Y order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSzxy`
EulerOrderXzy | Rotate in the X, Z, and Y order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSxzy`
EulerOrderYxz | Rotate in the Y, X, and Z order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSyxz`
EulerOrderZyx | Rotate in the Z, Y, and X order. Deprecated in Graphene 1.10, it's an alias for `EulerOrderSzyx`
EulerOrderSxyz | Defines a static rotation along the X, Y, and Z axes (Since: 1.10)
EulerOrderSxyx | Defines a static rotation along the X, Y, and X axes (Since: 1.10)
EulerOrderSxzy | Defines a static rotation along the X, Z, and Y axes (Since: 1.10)
EulerOrderSxzx | Defines a static rotation along the X, Z, and X axes (Since: 1.10)
EulerOrderSyzx | Defines a static rotation along the Y, Z, and X axes (Since: 1.10)
EulerOrderSyzy | Defines a static rotation along the Y, Z, and Y axes (Since: 1.10)
EulerOrderSyxz | Defines a static rotation along the Y, X, and Z axes (Since: 1.10)
EulerOrderSyxy | Defines a static rotation along the Y, X, and Y axes (Since: 1.10)
EulerOrderSzxy | Defines a static rotation along the Z, X, and Y axes (Since: 1.10)
EulerOrderSzxz | Defines a static rotation along the Z, X, and Z axes (Since: 1.10)
EulerOrderSzyx | Defines a static rotation along the Z, Y, and X axes (Since: 1.10)
EulerOrderSzyz | Defines a static rotation along the Z, Y, and Z axes (Since: 1.10)
EulerOrderRzyx | Defines a relative rotation along the Z, Y, and X axes (Since: 1.10)
EulerOrderRxyx | Defines a relative rotation along the X, Y, and X axes (Since: 1.10)
EulerOrderRyzx | Defines a relative rotation along the Y, Z, and X axes (Since: 1.10)
EulerOrderRxzx | Defines a relative rotation along the X, Z, and X axes (Since: 1.10)
EulerOrderRxzy | Defines a relative rotation along the X, Z, and Y axes (Since: 1.10)
EulerOrderRyzy | Defines a relative rotation along the Y, Z, and Y axes (Since: 1.10)
EulerOrderRzxy | Defines a relative rotation along the Z, X, and Y axes (Since: 1.10)
EulerOrderRyxy | Defines a relative rotation along the Y, X, and Y axes (Since: 1.10)
EulerOrderRyxz | Defines a relative rotation along the Y, X, and Z axes (Since: 1.10)
EulerOrderRzxz | Defines a relative rotation along the Z, X, and Z axes (Since: 1.10)
EulerOrderRxyz | Defines a relative rotation along the X, Y, and Z axes (Since: 1.10)
EulerOrderRzyz | Defines a relative rotation along the Z, Y, and Z axes (Since: 1.10)
AnotherEulerOrder Int | Catch-all for unknown values

#### Instances

Instances details

Enum EulerOrder Source # |

Instance details

Defined in GI.Graphene.Enums

Methods

succ :: EulerOrder -> EulerOrder Source #

pred :: EulerOrder -> EulerOrder Source #

toEnum :: Int -> EulerOrder Source #

fromEnum :: EulerOrder -> Int Source #

enumFrom :: EulerOrder -> [EulerOrder] Source #

enumFromThen :: EulerOrder -> EulerOrder -> [EulerOrder] Source #

enumFromTo :: EulerOrder -> EulerOrder -> [EulerOrder] Source #

enumFromThenTo :: EulerOrder -> EulerOrder -> EulerOrder -> [EulerOrder] Source #

Show EulerOrder Source # |
Instance details Defined in GI.Graphene.Enums Methods showsPrec :: Int -> EulerOrder -> ShowS Source # show :: EulerOrder -> String Source # showList :: [EulerOrder] -> ShowS Source #
Eq EulerOrder Source # |
Instance details Defined in GI.Graphene.Enums Methods (==) :: EulerOrder -> EulerOrder -> Bool Source # (/=) :: EulerOrder -> EulerOrder -> Bool Source #
Ord EulerOrder Source # |

Instance details

Defined in GI.Graphene.Enums

Methods

compare :: EulerOrder -> EulerOrder -> Ordering Source #

(<) :: EulerOrder -> EulerOrder -> Bool Source #

(<=) :: EulerOrder -> EulerOrder -> Bool Source #

(>) :: EulerOrder -> EulerOrder -> Bool Source #

(>=) :: EulerOrder -> EulerOrder -> Bool Source #

max :: EulerOrder -> EulerOrder -> EulerOrder Source #

min :: EulerOrder -> EulerOrder -> EulerOrder Source #

## RayIntersectionKind

data RayIntersectionKind Source #

The type of intersection.

Since: 1.10

Constructors

RayIntersectionKindNone | No intersection
RayIntersectionKindEnter | The ray is entering the intersected object
RayIntersectionKindLeave | The ray is leaving the intersected object
AnotherRayIntersectionKind Int | Catch-all for unknown values

#### Instances

Instances details

Enum RayIntersectionKind Source # |

Instance details

Defined in GI.Graphene.Enums

Methods

succ :: RayIntersectionKind -> RayIntersectionKind Source #

pred :: RayIntersectionKind -> RayIntersectionKind Source #

toEnum :: Int -> RayIntersectionKind Source #

fromEnum :: RayIntersectionKind -> Int Source #

enumFrom :: RayIntersectionKind -> [RayIntersectionKind] Source #

enumFromThen :: RayIntersectionKind -> RayIntersectionKind -> [RayIntersectionKind] Source #

enumFromTo :: RayIntersectionKind -> RayIntersectionKind -> [RayIntersectionKind] Source #

enumFromThenTo :: RayIntersectionKind -> RayIntersectionKind -> RayIntersectionKind -> [RayIntersectionKind] Source #

Show RayIntersectionKind Source # |
Instance details Defined in GI.Graphene.Enums Methods showsPrec :: Int -> RayIntersectionKind -> ShowS Source # show :: RayIntersectionKind -> String Source # showList :: [RayIntersectionKind] -> ShowS Source #
Eq RayIntersectionKind Source # |
Instance details Defined in GI.Graphene.Enums Methods (==) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source # (/=) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source #
Ord RayIntersectionKind Source # |

Instance details

Defined in GI.Graphene.Enums

Methods

compare :: RayIntersectionKind -> RayIntersectionKind -> Ordering Source #

(<) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source #

(<=) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source #

(>) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source #

(>=) :: RayIntersectionKind -> RayIntersectionKind -> Bool Source #

max :: RayIntersectionKind -> RayIntersectionKind -> RayIntersectionKind Source #

min :: RayIntersectionKind -> RayIntersectionKind -> RayIntersectionKind Source #